# Settings for the *omz/lib/history*
#
# Set the timestamp format for history for ISO format
export HIST_STAMPS="yyyy-mm-dd"
# Don't bother storing these commands in history
export HISTORY_IGNORE="(ls|cd|cd -|pwd|exit|date|.* --help)"
# Set the location for the zsh_history file to be inside our .zsh foler
export HISTFILE="$ZDOTDIR/.zsh_history"
# Keep this many history events in per-shell memory
export HISTSIZE=100000
# Keep this many history events in the log file
export SAVEHIST=50000

unsetopt share_history
unsetopt hist_verify
setopt  hist_ignore_all_dups
setopt  hist_find_no_dups

